
Name: altervoice
Version: 0.1.0
Release: alt1

License: %gpl3plus
Group: Accessibility
Summary: Speech interface for Alterator platform

Requires: qt4-common
# Automatically added by buildreq on Thu Nov 06 2008
BuildRequires: gcc-c++ libqt4-devel libvmclient-devel

BuildRequires: rpm-build-licenses

Packager: Michael Pozhidaev <msp@altlinux.ru>

Source: %name-%version.tar.gz
Source1: %name.sh

%description
This package contains QT4 plugin to 
listen and handle user actions and translate them in speech form with VoiceMan speech server.
This plugin was designed to be used with Alterator GUI.

%prep
%setup -q

%build

%_qt4dir/bin/qmake
make CXXFLAGS='%optflags -fpic'

%install

install -d -m755 %buildroot%_qt4dir/plugins/accessiblebridge/
install -pD -m644 lib%name.so %buildroot%_qt4dir/plugins/accessiblebridge/lib%name.so
install -pD -m 755 %SOURCE1 %buildroot%_sysconfdir/profile.d/altervoice.sh

%files
%_qt4dir/plugins/*
%_sysconfdir/profile.d/*

%changelog
* Thu Nov 06 2008 Michael Pozhidaev <msp@altlinux.ru> 0.1.0-alt1
- Initial RPM

